'use strict';

// Load core modules
var fs   = require( 'fs' );
var path = require( 'path' );

// Load other modules
var verify = require( '../lib/verify' );

require( 'should' );

function read ( file ) {
	return fs.readFileSync( path.join( __dirname, 'data', 'valid', file ) + '.txt', 'utf8' );
}

var valid = {
	'single-line' : read( 'single-line' ),
	'multi-line'  : read( 'multi-line' )
};

describe( 'Valid commit messages', function () {

	it( 'should not throw for singe-line', function () {
		( function () {
			verify( valid[ 'single-line' ] );
		} ).should.not.throw();
	} );

	it( 'should not throw for multi-lines', function () {
		( function () {
			verify( valid[ 'multi-line' ] );
		} ).should.not.throw();
	} );

} );
